sensorfw: XYZ Class Reference

sensorfw

Public Member Functions | Properties | Friends | List of all members
XYZ Class Reference

QObject facade for XYZData. More...

`#include <xyz.h>`

Inheritance diagram for XYZ:

## Public Member Functions
| XYZ ()
| Default constructor. More...
| XYZ (const TimedXyzData &xyzData)
| Copy constructor. More...
| XYZ (const XYZ &xyz)
| Copy constructor. More...
const TimedXyzData & | XYZData () const
| Returns the contained XYZData. More...
int | x () const
| Returns the value for X. More...
int | y () const
| Returns the value for Y. More...
int | z () const
| Returns the value for Z. More...
XYZ & | operator= (const XYZ &origin)
| Assignment operator. More...
bool | operator== (const XYZ &right) const
| Comparison operator. More...

## Properties
int | x
int | y
int | z

## Friends
const QDBusArgument & | operator>> (const QDBusArgument &argument, XYZ &xyz)
| Unmarshall XYZ data from the D-Bus argument. More...

## Detailed Description

QObject facade for XYZData.

Definition at line 36 of file xyz.h.

## Constructor & Destructor Documentation

## ◆ XYZ() [1/3]

XYZ::XYZ | ( |  | ) |
| inline

Default constructor.

Definition at line 49 of file xyz.h.

## ◆ XYZ() [2/3]

XYZ::XYZ | ( | const TimedXyzData & | xyzData | ) |

Copy constructor.

Parameters

  xyzData | Source object.

## ◆ XYZ() [3/3]

XYZ::XYZ | ( | const XYZ & | xyz | ) |

Copy constructor.

Parameters

  xyz | Source object.

## Member Function Documentation

## ◆ operator=()

XYZ& XYZ::operator= | ( | const XYZ & | origin | ) |
| inline

Assignment operator.

Parameters

  origin | Source object for assigment.

Definition at line 94 of file xyz.h.

## ◆ operator==()

bool XYZ::operator== | ( | const XYZ & | right | ) | const
| inline

Comparison operator.

Parameters

  right | Object to compare to.

Returns
  comparison result.

Definition at line 106 of file xyz.h.

## ◆ x()

int XYZ::x | ( |  | ) | const
| inline

Returns the value for X.

Returns
  x value.

Definition at line 75 of file xyz.h.

## ◆ XYZData()

const TimedXyzData& XYZ::XYZData | ( |  | ) | const
| inline

Returns the contained XYZData.

Returns
  Contained TimedXYZData

Definition at line 69 of file xyz.h.

## ◆ y()

int XYZ::y | ( |  | ) | const
| inline

Returns the value for Y.

Returns
  y value.

Definition at line 81 of file xyz.h.

## ◆ z()

int XYZ::z | ( |  | ) | const
| inline

Returns the value for Z.

Returns
  z value.

Definition at line 87 of file xyz.h.

## Friends And Related Function Documentation

## ◆ operator>>

const QDBusArgument& operator>> | ( | const QDBusArgument & | argument,
|  | XYZ & | xyz
| ) |  |
| friend

Unmarshall XYZ data from the D-Bus argument.

Parameters

  argument | dbus argument.
  xyz | unmarshalled data.

Returns
  dbus argument.

Definition at line 145 of file xyz.h.

## Property Documentation

## ◆ x

int XYZ::x
| read

Definition at line 145 of file xyz.h.

## ◆ y

int XYZ::y
| read

Definition at line 145 of file xyz.h.

## ◆ z

int XYZ::z
| read

Definition at line 145 of file xyz.h.

The documentation for this class was generated from the following file:

- datatypes/xyz.h